#include <iostream>
using namespace std;
int niz[1005];
int main(){
    int N, L;
    cin >> N >> L;
    for(int i = 1; i <= N; i++){
        cin >> niz[i];
    }
    int stop = -1;
    for(int i = 1; i <= N; i++){
        if(L >= niz[i]){
            stop = i;
            break;
        }
    }
    cout << stop << endl;
    return 0;
}